Event ändern
curl --request PUT \
--url https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"timezone": "<string>",
"description": "<string>",
"location": "<string>",
"url": "<string>",
"recurrenceUntil": "<string>",
"recurrenceWeeks": [
123
],
"minLevel": 15,
"planIds": [
"<string>"
],
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 50000,
"waitlistEnabled": true,
"ageGroupIds": [
"<string>"
],
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"draft": true,
"minAttendees": 50000,
"minAttendeesDeadline": {
"amount": 360
}
}
'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
payload = {
"title": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"timezone": "<string>",
"description": "<string>",
"location": "<string>",
"url": "<string>",
"recurrenceUntil": "<string>",
"recurrenceWeeks": [123],
"minLevel": 15,
"planIds": ["<string>"],
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 50000,
"waitlistEnabled": True,
"ageGroupIds": ["<string>"],
"tags": ["<string>"],
"postalCode": "<string>",
"country": "<string>",
"draft": True,
"minAttendees": 50000,
"minAttendeesDeadline": { "amount": 360 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
startsAt: '<string>',
endsAt: '<string>',
timezone: '<string>',
description: '<string>',
location: '<string>',
url: '<string>',
recurrenceUntil: '<string>',
recurrenceWeeks: [123],
minLevel: 15,
planIds: ['<string>'],
formId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
capacity: 50000,
waitlistEnabled: true,
ageGroupIds: ['<string>'],
tags: ['<string>'],
postalCode: '<string>',
country: '<string>',
draft: true,
minAttendees: 50000,
minAttendeesDeadline: {amount: 360}
})
};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'startsAt' => '<string>',
'endsAt' => '<string>',
'timezone' => '<string>',
'description' => '<string>',
'location' => '<string>',
'url' => '<string>',
'recurrenceUntil' => '<string>',
'recurrenceWeeks' => [
123
],
'minLevel' => 15,
'planIds' => [
'<string>'
],
'formId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'capacity' => 50000,
'waitlistEnabled' => true,
'ageGroupIds' => [
'<string>'
],
'tags' => [
'<string>'
],
'postalCode' => '<string>',
'country' => '<string>',
'draft' => true,
'minAttendees' => 50000,
'minAttendeesDeadline' => [
'amount' => 360
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}"
response = http.request(request)
puts response.read_body{
"eventId": "<string>",
"occurrenceStart": "<string>",
"occurrenceEnd": "<string>",
"title": "<string>",
"description": "<string>",
"timezone": "<string>",
"location": "<string>",
"url": "<string>",
"recurrence": "none",
"recurrenceUntil": "<string>",
"minLevel": 123,
"planIds": [
"<string>"
],
"planNames": [
"<string>"
],
"ageGroupIds": [
"<string>"
],
"ageGroupNames": [
"<string>"
],
"formId": "<string>",
"formName": "<string>",
"capacity": 123,
"spotsLeft": 123,
"rsvpCount": 123,
"waitlistEnabled": true,
"waitlistCount": 123,
"createdByName": "<string>",
"webUrl": "<string>",
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"recurrenceWeeks": [
123
],
"draft": true,
"minAttendees": 123,
"minAttendeesDeadlineAt": "<string>",
"minAttendeesState": "<string>",
"minAttendeesMissing": 123,
"cancelled": true,
"cancellationKind": "<string>",
"cancellationReason": "<string>",
"cancelledAt": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Events
Event ändern
Ersetzt alle Felder wie das Speichern im Event-Editor (planIds/ageGroupIds null = unverändert). Mehr Plätze lassen die Warteliste nachrücken, weniger Plätze entfernen niemanden. Eintrag im Protokoll.
PUT
/
api
/
rest
/
v1
/
communities
/
{slug}
/
events
/
{eventId}
Event ändern
curl --request PUT \
--url https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"timezone": "<string>",
"description": "<string>",
"location": "<string>",
"url": "<string>",
"recurrenceUntil": "<string>",
"recurrenceWeeks": [
123
],
"minLevel": 15,
"planIds": [
"<string>"
],
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 50000,
"waitlistEnabled": true,
"ageGroupIds": [
"<string>"
],
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"draft": true,
"minAttendees": 50000,
"minAttendeesDeadline": {
"amount": 360
}
}
'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
payload = {
"title": "<string>",
"startsAt": "<string>",
"endsAt": "<string>",
"timezone": "<string>",
"description": "<string>",
"location": "<string>",
"url": "<string>",
"recurrenceUntil": "<string>",
"recurrenceWeeks": [123],
"minLevel": 15,
"planIds": ["<string>"],
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 50000,
"waitlistEnabled": True,
"ageGroupIds": ["<string>"],
"tags": ["<string>"],
"postalCode": "<string>",
"country": "<string>",
"draft": True,
"minAttendees": 50000,
"minAttendeesDeadline": { "amount": 360 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
startsAt: '<string>',
endsAt: '<string>',
timezone: '<string>',
description: '<string>',
location: '<string>',
url: '<string>',
recurrenceUntil: '<string>',
recurrenceWeeks: [123],
minLevel: 15,
planIds: ['<string>'],
formId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
capacity: 50000,
waitlistEnabled: true,
ageGroupIds: ['<string>'],
tags: ['<string>'],
postalCode: '<string>',
country: '<string>',
draft: true,
minAttendees: 50000,
minAttendeesDeadline: {amount: 360}
})
};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'startsAt' => '<string>',
'endsAt' => '<string>',
'timezone' => '<string>',
'description' => '<string>',
'location' => '<string>',
'url' => '<string>',
'recurrenceUntil' => '<string>',
'recurrenceWeeks' => [
123
],
'minLevel' => 15,
'planIds' => [
'<string>'
],
'formId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'capacity' => 50000,
'waitlistEnabled' => true,
'ageGroupIds' => [
'<string>'
],
'tags' => [
'<string>'
],
'postalCode' => '<string>',
'country' => '<string>',
'draft' => true,
'minAttendees' => 50000,
'minAttendeesDeadline' => [
'amount' => 360
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"startsAt\": \"<string>\",\n \"endsAt\": \"<string>\",\n \"timezone\": \"<string>\",\n \"description\": \"<string>\",\n \"location\": \"<string>\",\n \"url\": \"<string>\",\n \"recurrenceUntil\": \"<string>\",\n \"recurrenceWeeks\": [\n 123\n ],\n \"minLevel\": 15,\n \"planIds\": [\n \"<string>\"\n ],\n \"formId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"capacity\": 50000,\n \"waitlistEnabled\": true,\n \"ageGroupIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"draft\": true,\n \"minAttendees\": 50000,\n \"minAttendeesDeadline\": {\n \"amount\": 360\n }\n}"
response = http.request(request)
puts response.read_body{
"eventId": "<string>",
"occurrenceStart": "<string>",
"occurrenceEnd": "<string>",
"title": "<string>",
"description": "<string>",
"timezone": "<string>",
"location": "<string>",
"url": "<string>",
"recurrence": "none",
"recurrenceUntil": "<string>",
"minLevel": 123,
"planIds": [
"<string>"
],
"planNames": [
"<string>"
],
"ageGroupIds": [
"<string>"
],
"ageGroupNames": [
"<string>"
],
"formId": "<string>",
"formName": "<string>",
"capacity": 123,
"spotsLeft": 123,
"rsvpCount": 123,
"waitlistEnabled": true,
"waitlistCount": 123,
"createdByName": "<string>",
"webUrl": "<string>",
"tags": [
"<string>"
],
"postalCode": "<string>",
"country": "<string>",
"recurrenceWeeks": [
123
],
"draft": true,
"minAttendees": 123,
"minAttendeesDeadlineAt": "<string>",
"minAttendeesState": "<string>",
"minAttendeesMissing": 123,
"cancelled": true,
"cancellationKind": "<string>",
"cancellationReason": "<string>",
"cancelledAt": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Mindestteilnehmerzahl je Termin: ist sie zum Stichtag (minAttendeesDeadline) nicht erreicht, wird der Termin automatisch abgesagt und die Angemeldeten werden benachrichtigt. 0 = keine; null = beim Anlegen keine, beim Ändern unverändert. Mit capacity höchstens so groß wie diese (sonst 422)
Required range:
0 <= x <= 100000Response
OK